| Tilt Five NDK |

Data Fields
T5_FrameInfo Struct Reference
Tilt Five™ Common Types

Render information to be used with t5SendFrameToGlasses() More...

`#include <types.h>`

Collaboration diagram for T5_FrameInfo:
[legend]

## Data Fields
void * | leftTexHandle
| Texture handle for the left image. More...
void * | rightTexHandle
| Texture handle for the right image. More...
uint16_t | texWidth_PIX
| Width of the textures pointed to by leftTexHandle and rightTexHandle. More...
uint16_t | texHeight_PIX
| Height of the textures pointed to by leftTexHandle and rightTexHandle. More...
bool | isSrgb
| True if the texture is srgb. This is only relevant for the OpenGL graphics API. More...
bool | isUpsideDown
| True if the image is 'upside down'. More...
struct {
float startX_VCI
float startY_VCI
float width_VCI
float height_VCI
} | vci
| The image rectangle in the normalized (z=1) image space of the virtual cameras.
T5_Quat | rotToLVC_GBD
| The rotation from GBD to VC, the virtual camera reference frame for the left eye. More...
T5_Vec3 | posLVC_GBD
| The position of VC, the virtual camera reference frame, relative to GBD for the left eye. More...
T5_Quat | rotToRVC_GBD
| The rotation from GBD to VC, the virtual camera reference frame for the right eye. More...
T5_Vec3 | posRVC_GBD
| The position of VC, the virtual camera reference frame, relative to GBD for the right eye. More...

## Detailed Description

Render information to be used with t5SendFrameToGlasses()

Definition at line 225 of file types.h.

## Field Documentation

## ◆ height_VCI

float T5_FrameInfo::height_VCI

Definition at line 257 of file types.h.

## ◆ isSrgb

bool T5_FrameInfo::isSrgb

True if the texture is srgb. This is only relevant for the OpenGL graphics API.

Definition at line 247 of file types.h.

## ◆ isUpsideDown

bool T5_FrameInfo::isUpsideDown

True if the image is 'upside down'.

Definition at line 250 of file types.h.

## ◆ leftTexHandle

void* T5_FrameInfo::leftTexHandle

Texture handle for the left image.

The meaning of the handle will depend on the current graphics API.

See also
  Graphics APIs for further details.

Definition at line 231 of file types.h.

## ◆ posLVC_GBD

T5_Vec3 T5_FrameInfo::posLVC_GBD

The position of VC, the virtual camera reference frame, relative to GBD for the left eye.

Definition at line 265 of file types.h.

## ◆ posRVC_GBD

T5_Vec3 T5_FrameInfo::posRVC_GBD

The position of VC, the virtual camera reference frame, relative to GBD for the right eye.

Definition at line 272 of file types.h.

## ◆ rightTexHandle

void* T5_FrameInfo::rightTexHandle

Texture handle for the right image.

The meaning of the handle will depend on the current graphics API.

See also
  Graphics APIs for further details.

Definition at line 238 of file types.h.

## ◆ rotToLVC_GBD

T5_Quat T5_FrameInfo::rotToLVC_GBD

The rotation from GBD to VC, the virtual camera reference frame for the left eye.

Definition at line 261 of file types.h.

## ◆ rotToRVC_GBD

T5_Quat T5_FrameInfo::rotToRVC_GBD

The rotation from GBD to VC, the virtual camera reference frame for the right eye.

Definition at line 268 of file types.h.

## ◆ startX_VCI

float T5_FrameInfo::startX_VCI

Definition at line 254 of file types.h.

## ◆ startY_VCI

float T5_FrameInfo::startY_VCI

Definition at line 255 of file types.h.

## ◆ texHeight_PIX

uint16_t T5_FrameInfo::texHeight_PIX

Height of the textures pointed to by leftTexHandle and rightTexHandle.

Definition at line 244 of file types.h.

## ◆ texWidth_PIX

uint16_t T5_FrameInfo::texWidth_PIX

Width of the textures pointed to by leftTexHandle and rightTexHandle.

Definition at line 241 of file types.h.

## ◆ width_VCI

float T5_FrameInfo::width_VCI

Definition at line 256 of file types.h.

The documentation for this struct was generated from the following file:

- types.h